/**
 * output package name
 */
package com.kingdee.eas.custom.enums;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class billStatusEnum extends StringEnum
{
    public static final String PASS_VALUE = "1";//alias=通过
    public static final String ERROR_VALUE = "2";//alias=失败
    public static final String CHANGE_VALUE = "3";//alias=已变更
    public static final String LOSE_VALUE = "4";//alias=失效
    public static final String SAVE_VALUE = "5";//alias=保存

    public static final billStatusEnum pass = new billStatusEnum("pass", PASS_VALUE);
    public static final billStatusEnum error = new billStatusEnum("error", ERROR_VALUE);
    public static final billStatusEnum change = new billStatusEnum("change", CHANGE_VALUE);
    public static final billStatusEnum lose = new billStatusEnum("lose", LOSE_VALUE);
    public static final billStatusEnum save = new billStatusEnum("save", SAVE_VALUE);

    /**
     * construct function
     * @param String billStatusEnum
     */
    private billStatusEnum(String name, String billStatusEnum)
    {
        super(name, billStatusEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static billStatusEnum getEnum(String billStatusEnum)
    {
        return (billStatusEnum)getEnum(billStatusEnum.class, billStatusEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(billStatusEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(billStatusEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(billStatusEnum.class);
    }
}